be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Class CDGALENICFORM

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDGALENICFORM

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:41:48+01:00",
                 comments="JAXB RI v2.3.7")
      public class CDGALENICFORM
      extends Object
      implements Serializable

  Java class for CD-GALENICFORM complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CD-GALENICFORM">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="S" use="required" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-GALENICFORMschemes" />
             <attribute name="SV" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="DN" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="L" type="{http://www.w3.org/2001/XMLSchema}language" default="en" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDGALENICFORM()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDN()` Gets the value of the dn property.
    `String` | `getL()` Gets the value of the l property.
    `CDGALENICFORMschemes` | `getS()` Gets the value of the s property.
    `String` | `getSV()` Gets the value of the sv property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setDN(String value)` Sets the value of the dn property.
    `void` | `setL(String value)` Sets the value of the l property.
    `void` | `setS(CDGALENICFORMschemes value)` Sets the value of the s property.
    `void` | `setSV(String value)` Sets the value of the sv property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDGALENICFORM

          public CDGALENICFORM()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getS

          public CDGALENICFORMschemes getS()

      Gets the value of the s property.
      Returns:
        possible object is `CDGALENICFORMschemes`

    - #### setS

          public void setS(CDGALENICFORMschemes value)

      Sets the value of the s property.
      Parameters:
        `value` - allowed object is `CDGALENICFORMschemes`

    - #### getSV

          public String getSV()

      Gets the value of the sv property.
      Returns:
        possible object is `String`

    - #### setSV

          public void setSV(String value)

      Sets the value of the sv property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDN

          public String getDN()

      Gets the value of the dn property.
      Returns:
        possible object is `String`

    - #### setDN

          public void setDN(String value)

      Sets the value of the dn property.
      Parameters:
        `value` - allowed object is `String`

    - #### getL

          public String getL()

      Gets the value of the l property.
      Returns:
        possible object is `String`

    - #### setL

          public void setL(String value)

      Sets the value of the l property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSAUDIOLOGIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.